aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-07 22:03:46 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:54 +0700
commite45c1a0943ae9a26da64cc23c052a6d5c0722021 (patch)
treef117125cfdacb2e54a518700d56e2f85d4cc01cc
parenta381fb6ba483e73dde82646a39866c44d76ec1c7 (diff)
downloadslackbuilds-e45c1a0943ae9a26da64cc23c052a6d5c0722021.tar.xz
system/sbo-maintainer-tools: Added (lint tools for SBo maintainers)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/sbo-maintainer-tools/README10
-rw-r--r--system/sbo-maintainer-tools/sbo-maintainer-tools.SlackBuild50
-rw-r--r--system/sbo-maintainer-tools/sbo-maintainer-tools.info10
-rw-r--r--system/sbo-maintainer-tools/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/system/sbo-maintainer-tools/README b/system/sbo-maintainer-tools/README
new file mode 100644
index 000000000000..aaa8f5eb216d
--- /dev/null
+++ b/system/sbo-maintainer-tools/README
@@ -0,0 +1,10 @@
+sbo-maintainer-tools (sbolint and sbopkglint for SBo maintainers)
+
+These are "lint" tools to make life easier for SlackBuilds.org
+maintainers and admins:
+
+sbolint: checks your SlackBuild, README, .info file, and slack-desc.
+Also there's a git pre-commit hook you should use, that automatically
+calls sbolint and stops you from committing bad code.
+
+sbopkglint: checks your package, after it's built.
diff --git a/system/sbo-maintainer-tools/sbo-maintainer-tools.SlackBuild b/system/sbo-maintainer-tools/sbo-maintainer-tools.SlackBuild
new file mode 100644
index 000000000000..5ab70ae39bec
--- /dev/null
+++ b/system/sbo-maintainer-tools/sbo-maintainer-tools.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Slackware build script for sbo-maintainer-tools
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sbo-maintainer-tools
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+make install PREFIX=/usr DESTDIR=$PKG
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/sbo-maintainer-tools/sbo-maintainer-tools.info b/system/sbo-maintainer-tools/sbo-maintainer-tools.info
new file mode 100644
index 000000000000..239b6f4311ee
--- /dev/null
+++ b/system/sbo-maintainer-tools/sbo-maintainer-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="sbo-maintainer-tools"
+VERSION="0.5"
+HOMEPAGE="https://slackware.uk/~urchlay/repos/sbo-maintainer-tools"
+DOWNLOAD="https://slackware.uk/~urchlay/src/sbo-maintainer-tools-0.5.tar.gz"
+MD5SUM="c42bb0d0d53ffd238a063ea539905bba"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/sbo-maintainer-tools/slack-desc b/system/sbo-maintainer-tools/slack-desc
new file mode 100644
index 000000000000..5fed8f75cefb
--- /dev/null
+++ b/system/sbo-maintainer-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sbo-maintainer-tools: sbo-maintainer-tools (sbolint and sbopkglint for SBo maintainers)
+sbo-maintainer-tools:
+sbo-maintainer-tools: These are "lint" tools to make life easier for SlackBuilds.org
+sbo-maintainer-tools: maintainers and admins:
+sbo-maintainer-tools:
+sbo-maintainer-tools: sbolint: checks your SlackBuild, README, .info file, and slack-desc.
+sbo-maintainer-tools: Also there's a git pre-commit hook you should use, that automatically
+sbo-maintainer-tools: calls sbolint and stops you from committing bad code.
+sbo-maintainer-tools:
+sbo-maintainer-tools: sbopkglint: checks your package, after it's built.
+sbo-maintainer-tools: